part of 'generated.dart';

class DeleteVendorBenefitPlanVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteVendorBenefitPlanVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteVendorBenefitPlanData> dataDeserializer = (dynamic json)  => DeleteVendorBenefitPlanData.fromJson(jsonDecode(json));
  Serializer<DeleteVendorBenefitPlanVariables> varsSerializer = (DeleteVendorBenefitPlanVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteVendorBenefitPlanData, DeleteVendorBenefitPlanVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteVendorBenefitPlanData, DeleteVendorBenefitPlanVariables> ref() {
    DeleteVendorBenefitPlanVariables vars= DeleteVendorBenefitPlanVariables(id: id,);
    return _dataConnect.mutation("deleteVendorBenefitPlan", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteVendorBenefitPlanVendorBenefitPlanDelete {
  final String id;
  DeleteVendorBenefitPlanVendorBenefitPlanDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteVendorBenefitPlanVendorBenefitPlanDelete otherTyped = other as DeleteVendorBenefitPlanVendorBenefitPlanDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteVendorBenefitPlanVendorBenefitPlanDelete({
    required this.id,
  });
}

@immutable
class DeleteVendorBenefitPlanData {
  final DeleteVendorBenefitPlanVendorBenefitPlanDelete? vendorBenefitPlan_delete;
  DeleteVendorBenefitPlanData.fromJson(dynamic json):
  
  vendorBenefitPlan_delete = json['vendorBenefitPlan_delete'] == null ? null : DeleteVendorBenefitPlanVendorBenefitPlanDelete.fromJson(json['vendorBenefitPlan_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteVendorBenefitPlanData otherTyped = other as DeleteVendorBenefitPlanData;
    return vendorBenefitPlan_delete == otherTyped.vendorBenefitPlan_delete;
    
  }
  @override
  int get hashCode => vendorBenefitPlan_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (vendorBenefitPlan_delete != null) {
      json['vendorBenefitPlan_delete'] = vendorBenefitPlan_delete!.toJson();
    }
    return json;
  }

  DeleteVendorBenefitPlanData({
    this.vendorBenefitPlan_delete,
  });
}

@immutable
class DeleteVendorBenefitPlanVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteVendorBenefitPlanVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteVendorBenefitPlanVariables otherTyped = other as DeleteVendorBenefitPlanVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteVendorBenefitPlanVariables({
    required this.id,
  });
}

